2 votos

error dpkg apt-dispositivos de vapor

Trató de correr sudo apt update; sudo apt upgrade el otro día y tengo un error con respecto a dpkg que no he visto antes y google no parecen ser de mucha ayuda.

Me acaba de pegar el resultado como no tengo idea de lo que está pasando:

sudo apt upgrade

Reading package lists... Done
Building dependency tree       
Reading state information... Done
You might want to run 'apt --fix-broken install' to correct these.
The following packages have unmet dependencies:
 steam:i386 : Depends: steam-devices:i386
E: Unmet dependencies. Try 'apt --fix-broken install' with no packages (or specify a solution).


sudo apt --fix-broken install

Reading package lists... Done
Building dependency tree       
Reading state information... Done
Correcting dependencies... Done
The following packages were automatically installed and are no longer required:
  hunspell-bn hunspell-bs hunspell-gu hunspell-hi hunspell-is hunspell-si hunspell-te
Use 'sudo apt autoremove' to remove them.
The following additional packages will be installed:
  steam-devices
The following NEW packages will be installed:
  steam-devices
0 upgraded, 1 newly installed, 0 to remove and 98 not upgraded.
20 not fully installed or removed.
Need to get 0 B/26.0 kB of archives.
After this operation, 79.9 kB of additional disk space will be used.
Do you want to continue? [Y/n] y
(Reading database ... 531568 files and directories currently installed.)
Preparing to unpack .../steam-devices_1.0.0.59-2_all.deb ...
Unpacking steam-devices (1.0.0.59-2) ...
dpkg: error processing archive /var/cache/apt/archives/steam-devices_1.0.0.59-2_all.deb (--unpack):
 trying to overwrite '/lib/udev/rules.d/60-steam-input.rules', which is also in package steam-launcher 1.0.0.59
Errors were encountered while processing:
 /var/cache/apt/archives/steam-devices_1.0.0.59-2_all.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

Podría alguien más familiarizado con apt y de gestión de paquetes que yo explique lo que estos errores significan y cómo se podría ir sobre el diagnóstico / solución del problema. Literalmente, no hay idea de por dónde empezar con este.

El sistema es debian 9 (creo)

2voto

roslavych Puntos 21

He tenido el mismo problema en estos días, después de recibir una falta dependencias de la notificación de Vapor en mi Debian 9, así que busqué una workaroung. Yo había Synaptic package manager instalado en él (puede tener por defecto), así que me las arreglé para sacar el paquete roto desde allí:

  1. En el lado izquierdo de la interfaz de paquetes son clasificados por estado: instalado, no se instala, roto...). Tendrá que comprobar el roto uno y haga clic en botón "Aplicar".
  2. Yo, a continuación, actualizar a Debian desde Synaptic ("Marcar todas las actualizaciones" y luego en "Aplicar")
  3. Y luego se instalan steam-devices:i386 desde la Terminal como de costumbre.
  4. He seguido todas las recomendaciones de la apt (instalado todos los paquetes recomendados para mi controlador de gráficos y tal) y me Vapor de trabajo.

En caso de que usted es nuevo a Sináptica, usted necesita saber que usted necesita ser root para usarlo (se preguntan), y usted no será capaz de utilizar apt desde la línea de comandos mientras Sináptica está abierto.

EnMiMaquinaFunciona.com

EnMiMaquinaFunciona es una comunidad de administradores de sistemas en la que puedes resolver tus problemas y dudas.
Puedes consultar las preguntas de otros sysadmin, hacer tus propias preguntas o resolver las de los demás.

Powered by: